Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

Apple Mac OS X Multiple Memory Corruption Vulnerabilities-HT207615

Information

Severity

Severity

Medium

Family

Family

Mac OS X Local Security Checks

CVSSv2 Base

CVSSv2 Base

6.8

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:M/Au:N/C:P/I:P/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

5 years ago

Modified

Modified

3 years ago

Summary

This host is running Apple Mac OS X and is prone to multiple memory corruption vulnerabilities.

Insight

Insight

Multiple flaws are due to multiple memory corruption issues due to insufficient input validation and poor memory handling.

Affected Software

Affected Software

Apple Mac OS X version 10.12.x through 10.12.3, 10.11.x through 10.11.6 and 10.10.x through 10.10.5

Detection Method

Detection Method

Checks if a vulnerable version is present on the target host.

Solution

Solution

Upgrade Apple Mac OS X 10.12.x to 10.12.4 or apply the appropriate security patch for Apple Mac OS X 10.11.x and 10.10.x. Please see the references for more information.

Common Vulnerabilities and Exposures (CVE)